Package org.eclipse.ltk.core.refactoring

# Class ChangeDescriptor

java.lang.Object
org.eclipse.ltk.core.refactoring.ChangeDescriptor

Direct Known Subclasses:
  `RefactoringChangeDescriptor`

public abstract class ChangeDescriptor extends Object
Descriptor of a change object. These descriptor objects may be used to describe the effect of a `Change`. Subclasses may provide more specific information about the represented change.

Note: this class is indented to be subclassed by clients to provide specialized descriptors for particular changes.

Since:
  3.2

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ChangeDescriptor()`
Creates a new change descriptor.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ChangeDescriptor

protected ChangeDescriptor()
Creates a new change descriptor.